Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7301 - logrotate rotating last login database /var/log/lastlog
Summary: logrotate rotating last login database /var/log/lastlog
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-24 19:07 UTC by Andrew Turnquist
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-24 18:03:47 UTC


Attachments (Terms of Use)

Description Andrew Turnquist 1999-11-24 19:07:01 UTC
Since version 4.x, the logrotate package has erronously been rotating
/var/log/lastlog.  This file does not need to be rotated.  It is a file
of records of last login times, indexed by UID.  It only grows with the
addition of new users.  By rotating (and erasing) this file, users' last
login time and location are forgotten each month.  The solution is to
remove the section for lastlog from /etc/logrotate.conf.

Note that if there is a large gap of unused UIDs, this file may seem
larger than it really is (as it will be a sparse file).  Use
'du /var/log/lastlog' to determine its actual usage.

If there is some other reason for this file being rotated, I would be
interested in seeing that reasoning.

Thanks,
	--Andrew

Comment 1 Erik Troan 2000-02-24 18:03:59 UTC
Fixed for logrotate 3.3.2  -- thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.